import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


public class Dive {

	/**
	 * @param args
	 */
	public static void main(String[] args) {
		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		String s;
		String[] s2;
		
		try {
			while(!((s = br.readLine()).equals("0 0 ' '")))
			{
				s2 = s.split(" ");
				int yLen = Integer.parseInt(s2[0]);
				int xLen = Integer.parseInt(s2[1]);
				char falconChar = s2[2].charAt(1);
				
				char firstFrame[][] = new char[yLen][xLen];
				char secondFrame[][] = new char[yLen][xLen];
				char thirdFrame[][] = new char[yLen][xLen];
				
				//nacteni prvniho snimku
				for(int i = 0; i < yLen; i++)
				{
					s = br.readLine();
					firstFrame[i] = s.toCharArray();
					thirdFrame[i] = firstFrame[i];
				}
				
				s = br.readLine();
				
				//nacteni druheho snimku
				for(int i = 0; i < yLen; i++)
				{
					s = br.readLine();
					secondFrame[i] = s.toCharArray();
				}
				
				int xFal = 0, yFal = -1;
				int x2Fal = 0, y2Fal = 0;
				
				firstFr:
					for(int i = 0; i < yLen; i++)
					{
						for(int j = 0; j < xLen; j++)
						{
							if(firstFrame[i][j] == falconChar)
							{
								yFal = i;
								xFal = j;
								break firstFr;
							}
						}
					}
					
				secondFr:
					for(int i = 0; i < yLen; i++)
					{
						for(int j = 0; j < xLen; j++)
						{
							if(secondFrame[i][j] == falconChar)
							{
								y2Fal = i;
								x2Fal = j;
								break secondFr;
							}
						}
					}
				
				int yDiff, xDiff;
				yDiff = y2Fal - yFal;
				xDiff = x2Fal - xFal;
				
				//treti snimek bez krajiny
				for(int i = 0; i < yLen; i++)
				{
					for(int j = 0; j < xLen; j++)
					{
						thirdFrame[i][j] = ((firstFrame[i][j] != falconChar) ? firstFrame[i][j] : secondFrame[i][j]);
					}
				}
				
				for(int i = 0; i < yLen; i++)
				{
					for(int j = 0; j < xLen; j++)
					{
						if(secondFrame[i][j] == falconChar)
						{
							int y3Fal = i + yDiff;
							if(!(y3Fal < yLen && y3Fal >= 0))
								continue;
							int x3Fal = j + xDiff;
							if(x3Fal >= xLen || x3Fal < 0)
								continue;
							
							thirdFrame[y3Fal][x3Fal] = falconChar;							
						}
					}
				}
				
				for(int i = 0; i < thirdFrame.length; i++)
				{
					System.out.println(new String(thirdFrame[i]));
				}
				
				s = br.readLine();
			}
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}

	}

}
